doumaoao0182
doumaoao0182
2014-03-19 17:14

更新Cent OS软件包?

I just Installed Cent OS 6.5 and I am amazed with a few things.

Why the PHP version is only 5.3.3, MySQL 5.1.73, Apache 2.2.15?

If I run the yum commands to update them no updates are found.

Is there a reason the default installation contains so old versions and how to update them to the latest one please?

  • 点赞
  • 写回答
  • 关注问题
  • 收藏
  • 复制链接分享
  • 邀请回答

2条回答

  • drbd65446 drbd65446 7年前

    Running these two commands should install a newer version of the EPEL repo, enabling you to install a newer version of PHP, etc, but you should find the repository which has the versions which you require.

     wget http://download.fedoraproject.org/pub/epel/6/x86_64/epel-release-6-8.noarch.rpm
     rpm -ivh epel-release-6-8.noarch.rpm
    
    点赞 评论 复制链接分享
  • dpnru86024 dpnru86024 6年前

    Please try below

    yum update php*

    If you have rpm package then you can use rpm -U option to upgrade existing packages.

    点赞 评论 复制链接分享